## OobsShare

OobsShare — Base object for shared folders

## Functions

const gchar * | oobs_share_get_path ()
void | oobs_share_set_path ()

## Properties

char * | path | Read / Write

## Object Hierarchy

        GObject
        ╰── OobsShare
            ├── OobsShareNFS
            ╰── OobsShareSMB

## Description

## Functions

### oobs_share_get_path ()

    const gchar *
    oobs_share_get_path (OobsShare *share);

Returns the path that share shares.

#### Parameters

share | An OobsShare. |

#### Returns

A pointer to the shared path as a string. This string must not be freed, modified or stored.

### oobs_share_set_path ()

    void
    oobs_share_set_path (OobsShare *share,
                         const gchar *path);

Sets the shared path of share to be path, overwriting the previous one.

#### Parameters

share | An OobsShare. |
path | A new shared path for share. |

## Property Details

### The `“path”` property

      “path”                     char *

Path for the share.

Owner: OobsShare

Flags: Read / Write

Default value: NULL

## See Also

OobsShareNFS, OobsShareSMB